修改存储桶
PUT /accounts/{account_id}/topology/v1/buckets/{bucket_id}
将整个存储资源替换为提供的 JSON 请求正文,同时保留不可由用户修改的键值。
参数
| 名称 | Type | 在 | Required | Description |
|---|---|---|---|---|
account_id |
string |
path |
True |
包含帐户资源的 ID
|
bucket_id |
string |
path |
True |
要列出的存储区集合的 ID |
请求正文
将整个存储资源替换为提供的 JSON 请求正文,同时保留不可由用户修改的键值。
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
资源的媒体类型。定义的值为:
|
version |
string |
True |
资源的版本。定义的值为:
|
id |
string |
False |
资源的全局唯一标识符。定义的值为:
|
name |
string |
False |
包含用户分配的存储桶名称的 JSON 字符串。定义的值是:
|
凭证 ID |
string |
False |
包含用于访问存储区的凭据标识符的 JSON 字符串。定义的值为:
|
状态 |
string |
False |
包含指示存储桶操作状态的值的 JSON 字符串。定义的值为:
|
stateDetails |
False |
JSON 对象的 JSON 数组,列出有关"state"转换为"removed"或"failed"的其他详细信息。如果没有可用的详细信息,此数组将为空。
|
|
提供商 |
string |
False |
JSON 字符串,表示可用于访问存储桶的存储桶协议。定义的值是:
|
bucketParameters |
False |
提供访问存储桶所需的存储桶提供程序特定信息的 JSON 对象。此存储桶中的特定值因提供程序而异。 |
|
元数据 |
False |
与资源关联的客户端和服务指定的元数据。定义的值为:
|
请求示例
{
"type": "application/astra-bucket",
"version": "1.2",
"name": "New Bucket Name"
}
响应
Status: 204, Indicates if the bucket resource was updated.
响应
Status: 401, Unauthorized
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
状态 |
string |
True |
|
correlationID |
string |
False |
响应示例
{
"type": "https://astra.netapp.io/problems/3",
"title": "Missing bearer token",
"detail": "The request is missing the required bearer token.",
"status": "401"
}
响应
Status: 400, Bad request
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
状态 |
string |
True |
|
correlationID |
string |
False |
|
invalidFields |
数组["invalidFields"] |
False |
无效请求正文字段列表 |
响应示例
{
"type": "https://astra.netapp.io/problems/5",
"title": "Invalid query parameters",
"detail": "The supplied query parameters are invalid.",
"status": "400"
}
响应
Status: 409, Conflict
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
状态 |
string |
True |
|
correlationID |
string |
False |
|
invalidFields |
数组["invalidFields"] |
False |
无效请求正文字段列表 |
响应示例
{
"type": "https://astra.netapp.io/problems/10",
"title": "JSON resource conflict",
"detail": "The request body JSON contains a field that conflicts with an idempotent value.",
"status": "409"
}
响应
Status: 403, Forbidden
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
状态 |
string |
True |
|
correlationID |
string |
False |
响应示例
{
"type": "https://astra.netapp.io/problems/11",
"title": "Operation not permitted",
"detail": "The requested operation isn't permitted.",
"status": "403"
}
错误
Status: 404, Not found
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
状态 |
string |
True |
|
correlationID |
string |
False |
错误响应示例
{
"type": "https://astra.netapp.io/problems/1",
"title": "Resource not found",
"detail": "The resource specified in the request URI wasn't found.",
"status": "404"
}
定义
查看定义
additionalDetails
type_astra_stateDetail
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
additionalDetails |
False |
s3
提供 Simple Storage Service (S3) 协议参数的 JSON 对象。(将此对象用于所有 S3 类型提供程序)。
| 名称 | Type | Required | Description |
|---|---|---|---|
服务器 URL |
string |
False |
包含存储桶基本路径 URL 的 JSON 字符串。定义的值为:
|
bucketName |
string |
False |
包含 S3 存储桶名称的 JSON 字符串。定义的值是:
|
gcp
提供 Google Cloud 协议参数的 JSON 对象。
| 名称 | Type | Required | Description |
|---|---|---|---|
bucketName |
string |
False |
包含支持的 Google Cloud 存储桶名称的 JSON 字符串。定义的值是:
|
azure
提供 Azure 协议参数的 JSON 对象。
| 名称 | Type | Required | Description |
|---|---|---|---|
storageAccount |
string |
False |
包含 Azure 存储帐户名称的 JSON 字符串。定义的值为:
|
bucketName |
string |
False |
包含支持的 Azure blob 名称的 JSON 字符串。定义的值是:
|
bucketParameters
提供访问存储桶所需的存储桶提供程序特定信息的 JSON 对象。此存储桶中的特定值因提供程序而异。
| 名称 | Type | Required | Description |
|---|---|---|---|
s3 |
False |
提供 Simple Storage Service (S3) 协议参数的 JSON 对象。(将此对象用于所有 S3 类型提供程序)。 |
|
gcp |
False |
提供 Google Cloud 协议参数的 JSON 对象。 |
|
azure |
False |
提供 Azure 协议参数的 JSON 对象。 |
类型 Astra 标签
| 名称 | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
|
value |
string |
True |
type_astra_metadata_update
与资源关联的客户端和服务指定的元数据。定义的值为:
-
符合 Astra 元数据架构如果在创建时未指定,则将创建没有标签的元数据对象。如果在更新时未指定,则元数据对象的标签、creationTimestamp 和 createdBy 将保留而不进行修改。
| 名称 | Type | Required | Description |
|---|---|---|---|
labels |
数组["类型 Astra 标签"] |
False |
|
creationTimestamp |
string |
False |
|
modificationTimestamp |
string |
False |
|
已创建 |
string |
False |
|
modifiedBy |
string |
False |
invalidParams
| 名称 | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
无效查询参数的名称 |
原因 |
string |
True |
查询参数无效的原因 |
invalidFields
| 名称 | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
无效请求正文字段的名称 |
原因 |
string |
True |
请求正文字段无效的原因 |